Work at SourceForge, help us to make it a better place! We have an immediate need for a Support Technician in our San Francisco or Denver office.

Close

#1399 Bug Report: Unexpected Error Occured.

1.0.6
closed
nobody
Unknown (100)
none
5
2013-10-24
2012-11-30
Anonymous
No

I had the Christian Moser WPF Inspector running when this error message popped up.
Software version: 1.0.2.2011 (32 bit)
.NET runtime version: 4.0.30319.269
Time: 2012-11-29 17:10:07 -06:00
OS: Win32NT

Exception: System.NullReferenceException
Message: Object reference not set to an instance of an object.

Additional Information:

Stack:
at ChristianMoser.WpfInspector.Services.ElementTree.MouseElementService.GetElementAtMousePos()
at ChristianMoser.WpfInspector.Services.ElementTree.MouseElementService.OnAdornerTimerTick(Object sender, EventArgs e)
at System.Windows.Threading.DispatcherTimer.FireTick(Object unused)
at System.Windows.Threading.ExceptionWrapper.InternalRealCall(Delegate callback, Object args, Int32 numArgs)
at MS.Internal.Threading.ExceptionFilterHelper.TryCatchWhen(Object source, Delegate method, Object args, Int32 numArgs, Delegate catchHandler)
at System.Windows.Threading.DispatcherOperation.InvokeImpl()
at System.Windows.Threading.DispatcherOperation.InvokeInSecurityContext(Object state)
at System.Threading.ExecutionContext.runTryCode(Object userData)
at System.Runtime.CompilerServices.RuntimeHelpers.ExecuteCodeWithGuaranteedCleanup(TryCode code, CleanupCode backoutCode, Object userData)
at System.Threading.ExecutionContext.RunInternal(ExecutionContext executionContext, ContextCallback callback, Object state)
at System.Threading.ExecutionContext.Run(ExecutionContext executionContext, ContextCallback callback, Object state, Boolean ignoreSyncCtx)
at System.Threading.ExecutionContext.Run(ExecutionContext executionContext, ContextCallback callback, Object state)
at System.Windows.Threading.DispatcherOperation.Invoke()
at System.Windows.Threading.Dispatcher.ProcessQueue()
at System.Windows.Threading.Dispatcher.WndProcHook(IntPtr hwnd, Int32 msg, IntPtr wParam, IntPtr lParam, Boolean& handled)
at MS.Win32.HwndWrapper.WndProc(IntPtr hwnd, Int32 msg, IntPtr wParam, IntPtr lParam, Boolean& handled)
at MS.Win32.HwndSubclass.DispatcherCallbackOperation(Object o)
at System.Windows.Threading.ExceptionWrapper.InternalRealCall(Delegate callback, Object args, Int32 numArgs)
at MS.Internal.Threading.ExceptionFilterHelper.TryCatchWhen(Object source, Delegate method, Object args, Int32 numArgs, Delegate catchHandler)
at System.Windows.Threading.Dispatcher.InvokeImpl(DispatcherPriority priority, TimeSpan timeout, Delegate method, Object args, Int32 numArgs)
at MS.Win32.HwndSubclass.SubclassWndProc(IntPtr hwnd, Int32 msg, IntPtr wParam, IntPtr lParam)
at System.Windows.Forms.UnsafeNativeMethods.DispatchMessageW(MSG& msg)
at System.Windows.Forms.Application.ComponentManager.System.Windows.Forms.UnsafeNativeMethods.IMsoComponentManager.FPushMessageLoop(IntPtr dwComponentID, Int32 reason, Int32 pvLoopData)
at System.Windows.Forms.Application.ThreadContext.RunMessageLoopInner(Int32 reason, ApplicationContext context)
at System.Windows.Forms.Application.ThreadContext.RunMessageLoop(Int32 reason, ApplicationContext context)
at System.Windows.Forms.Application.Run()
at Greenshot.MainForm.Start(String[] args)

Configuration dump:
[Core]
Language=en
RegionHotkey=PrintScreen
WindowHotkey=Alt + PrintScreen
FullscreenHotkey=Ctrl + PrintScreen
LastregionHotkey=Shift + PrintScreen
IEHotkey=Ctrl + Shift + PrintScreen
IsFirstLaunch=False
Destinations=Editor
ClipboardFormats=PNG,DIB
CaptureMousepointer=False
CaptureWindowsInteractive=False
CaptureDelay=100
ScreenCaptureMode=Auto
ScreenToCapture=1
WindowCaptureMode=Auto
WindowCaptureAllChildLocations=False
DWMBackgroundColor=Transparent
PlayCameraSound=True
ShowTrayNotification=False
OutputFilePath=C:\Users\13712\Desktop
OutputFileAllowOverwrite=True
OutputFileFilenamePattern=greenshot_${YYYY}-${MM}-${DD}_${hh}-${mm}-${ss}
OutputFileFormat=png
OutputFileReduceColors=False
OutputFileAutoReduceColors=True
OutlookEmailFormat=HTML
EmailSubjectPattern=${title}
EmailTo=
EmailCC=
EmailBCC=
OutlookAllowExportInMeetings=False
OutputFileCopyPathToClipboard=True
OutputFileAsFullpath=C:\Users\13712\Desktop\dummy.png
OutputFileJpegQuality=80
OutputFilePromptQuality=False
OutputFileIncrementingNumber=1
OutputPrintPromptOptions=True
OutputPrintAllowRotate=True
OutputPrintAllowEnlarge=True
OutputPrintAllowShrink=True
OutputPrintCenter=True
OutputPrintInverted=False
OutputPrintGrayscale=False
OutputPrintFooter=True
OutputPrintFooterPattern=${capturetime:d"D"} ${capturetime:d"T"} - ${title}
NotificationSound=default
UseProxy=True
IECapture=True
IEFieldCapture=False
AutoCropDifference=10
IncludePlugins=
ExcludePlugins=
ExcludeDestinations=OneNote
UpdateCheckInterval=1
LastUpdateCheck=11/28/2012 17:31:17
DisableSettings=False
DisableQuickSettings=False
DisableTrayicon=False
HideExpertSettings=False
ThumnailPreview=True
NoGDICaptureForProduct=intellij idea
NoDWMCaptureForProduct=citrix ica client
OptimizeForRDP=False
MinimizeWorkingSetSize=False
CheckUnstable=True
ActiveTitleFixes=Firefox,IE,Chrome
TitleFixMatcher.Firefox= - Mozilla Firefox.*
TitleFixMatcher.IE= - (Microsoft|Windows) Internet Explorer.*
TitleFixMatcher.Chrome= - Google Chrome.*
TitleFixReplacer.Firefox=
TitleFixReplacer.IE=
TitleFixReplacer.Chrome=

Discussion

  • Jens Klingen
    Jens Klingen
    2012-11-30

    Hi there,

    Maybe that is because Greenshot is not a WPF application.
    I do not think there's anything we can do about this now, even more as the NullReferenceException is thrown within the inspector's code, not ours...

    Best regards,
    Jens

     
  • Jens Klingen
    Jens Klingen
    2012-11-30

    • status: open --> pending
     
  • Jens Klingen
    Jens Klingen
    2013-10-24

    • status: pending --> closed
    • Resolution: --> none
    • Group: --> 1.0.6
     
  • Jens Klingen
    Jens Klingen
    2013-10-24

    Assuming that this one can be closed, as there was no more response...